Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Test.ExecuteTest Class Reference
Inheritance diagram for Zwipe.Build.Test.ExecuteTest:
[legend]
Collaboration diagram for Zwipe.Build.Test.ExecuteTest:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
string | Executable`[get, set]`
string | ArtifactPath`[get, set]`
string | ResultPath`[get, set]`
string | TempPath`[get, set]`
string | BuildPath`[get, set]`

## Private Member Functions
void | OnStandardOutputReceived (string text)
void | OnStandardErrorReceived (string text)
string | GetExecutor (string executable)

## Static Private Attributes
const string | LinuxMonoPath = "/usr/bin/mono"
const string | MacOSXMonoPath = "/Library/Frameworks/Mono.framework/Commands/mono"

## Member Function Documentation

## ◆ Execute()

override bool Zwipe.Build.Test.ExecuteTest.Execute | ( |  | ) |

Here is the call graph for this function:

## ◆ GetExecutor()

string Zwipe.Build.Test.ExecuteTest.GetExecutor | ( | string | executable | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ OnStandardErrorReceived()

void Zwipe.Build.Test.ExecuteTest.OnStandardErrorReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## ◆ OnStandardOutputReceived()

void Zwipe.Build.Test.ExecuteTest.OnStandardOutputReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ LinuxMonoPath

const string Zwipe.Build.Test.ExecuteTest.LinuxMonoPath = "/usr/bin/mono"
| static private

## ◆ MacOSXMonoPath

const string Zwipe.Build.Test.ExecuteTest.MacOSXMonoPath = "/Library/Frameworks/Mono.framework/Commands/mono"
| static private

## Property Documentation

## ◆ ArtifactPath

string Zwipe.Build.Test.ExecuteTest.ArtifactPath
| get set

## ◆ BuildPath

string Zwipe.Build.Test.ExecuteTest.BuildPath
| get set

## ◆ Executable

string Zwipe.Build.Test.ExecuteTest.Executable
| get set

## ◆ ResultPath

string Zwipe.Build.Test.ExecuteTest.ResultPath
| get set

## ◆ TempPath

string Zwipe.Build.Test.ExecuteTest.TempPath
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Test/ExecuteTest.cs